BERSet (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class BERSet

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Set
      - - org.bouncycastle.asn1.BERSet

- All Implemented Interfaces:
    java.lang.Iterable<ASN1Encodable>, ASN1Encodable, Encodable

      public class BERSet
      extends ASN1Set

  Carrier class for an indefinite-length SET.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BERSet()` Create an empty SET.
    `BERSet(ASN1Encodable obj)` Create a SET containing one object.
    `BERSet(ASN1Encodable[] a)` Create a SET from an array of objects.
    `BERSet(ASN1EncodableVector v)` Create a SET containing multiple objects.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Set

      `getInstance, getInstance, getObjectAt, getObjects, hashCode, iterator, parser, size, sort, toArray, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BERSet

          public BERSet()

      Create an empty SET.

    - #### BERSet

          public BERSet(ASN1Encodable obj)

      Create a SET containing one object.
      Parameters:
        `obj` - - a single object that makes up the set.

    - #### BERSet

          public BERSet(ASN1EncodableVector v)

      Create a SET containing multiple objects.
      Parameters:
        `v` - a vector of objects making up the set.

    - #### BERSet

          public BERSet(ASN1Encodable[] a)

      Create a SET from an array of objects.
      Parameters:
        `a` - an array of ASN.1 objects.